Package ru.bgcrm.dao

# Class ConfigDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.dao.ConfigDAO

public class ConfigDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TABLE_CONFIG_GLOBAL`

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigDAO(Connection con)`
  `ConfigDAO(Connection con, String tableName)`
  Used only in address editor, clean up later.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteGlobalConfig(int id)`
  `Config`
  `getActiveGlobalConfig()`
  `List<ConfigRecord>`
  `getConfigRecordList(String tableId, int recordId)`
  Deprecated.
  `Map<String,String>`
  `getConfigRecordMap(String tableId, int recordId)`
  Deprecated.
  `Config`
  `getGlobalConfig(int id)`
  `Map<Integer,String>`
  `getIncludes(int parentId)`
  Selects included configurations.
  `void`
  `searchGlobalConfigList(Pageable<Config> searchResult, Set<Integer> allowedConfigIds, String filterLike)`
  `void`
  `setActiveGlobalConfig(int id)`
  `void`
  `updateConfigForRecord(String tableId, int recordId, List<ConfigRecord> config)`
  Deprecated.
  `void`
  `updateConfigForRecord(String tableId, int recordId, Map<String,String> config)`
  Deprecated.
  `void`
  `updateGlobalConfig(Config config)`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TABLE_CONFIG_GLOBAL

    public static final String TABLE_CONFIG_GLOBAL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConfigDAO

    public ConfigDAO(Connection con)

  - ### ConfigDAO

    public ConfigDAO(Connection con, String tableName)
    Used only in address editor, clean up later.
    Parameters:
      `con` -
      `tableName` -

- ## Method Details

  - ### searchGlobalConfigList

    public void searchGlobalConfigList(Pageable<Config> searchResult, Set<Integer> allowedConfigIds, String filterLike) throws SQLException
    Throws:
      `SQLException`

  - ### getGlobalConfig

    public Config getGlobalConfig(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getActiveGlobalConfig

    public Config getActiveGlobalConfig() throws SQLException
    Throws:
      `SQLException`

  - ### setActiveGlobalConfig

    public void setActiveGlobalConfig(int id) throws SQLException
    Throws:
      `SQLException`

  - ### updateGlobalConfig

    public void updateGlobalConfig(Config config) throws SQLException
    Throws:
      `SQLException`

  - ### getIncludes

    public Map<Integer,String> getIncludes(int parentId) throws SQLException
    Selects included configurations.
    Parameters:
      `parentId` -
    Returns:
      map with key `Config.getId()`
    Throws:
      `SQLException`

  - ### deleteGlobalConfig

    public void deleteGlobalConfig(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getConfigRecordList

    @Deprecated public List<ConfigRecord> getConfigRecordList(String tableId, int recordId) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### getConfigRecordMap

    @Deprecated public Map<String,String> getConfigRecordMap(String tableId, int recordId) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### updateConfigForRecord

    @Deprecated public void updateConfigForRecord(String tableId, int recordId, Map<String,String> config) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### updateConfigForRecord

    @Deprecated public void updateConfigForRecord(String tableId, int recordId, List<ConfigRecord> config) throws SQLException
    Deprecated.
    Throws:
      `SQLException`